### Method

# FwupdPlugin Context get_firmware_gtype_by_id

since: 1.6.0

#### Declaration [src]

    GType
    fu_context_get_firmware_gtype_by_id (
      FuContext* self,
      const gchar* id
    )

#### Description [src]

Returns the `GType` using the firmware `id`.

Available since: 1.6.0

#### Parameters

`id`

  Type: `const gchar*`

  An string describing the type, e.g. `ihex`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GType`

A `GType`, or `G_TYPE_INVALID`.